ALAS-2014-292


Amazon Linux AMI Security Advisory: ALAS-2014-292
Advisory Release Date: 2014-09-16 22:33 Pacific
Severity: Medium
References: CVE-2014-1912 

Issue Overview:

Buffer overflow in the socket.recvfrom_into function in Modules/socketmodule.c in Python 2.5 before 2.7.7, 3.x before 3.3.4, and 3.4.x before 3.4rc1 allows remote attackers to execute arbitrary code via a crafted string.


Affected Packages:

python26


Issue Correction:
Run yum update python26 to update your system.

New Packages:
i686:
    python26-devel-2.6.9-1.43.amzn1.i686
    python26-libs-2.6.9-1.43.amzn1.i686
    python26-debuginfo-2.6.9-1.43.amzn1.i686
    python26-2.6.9-1.43.amzn1.i686
    python26-test-2.6.9-1.43.amzn1.i686
    python26-tools-2.6.9-1.43.amzn1.i686

src:
    python26-2.6.9-1.43.amzn1.src

x86_64:
    python26-devel-2.6.9-1.43.amzn1.x86_64
    python26-2.6.9-1.43.amzn1.x86_64
    python26-test-2.6.9-1.43.amzn1.x86_64
    python26-debuginfo-2.6.9-1.43.amzn1.x86_64
    python26-tools-2.6.9-1.43.amzn1.x86_64
    python26-libs-2.6.9-1.43.amzn1.x86_64